_Elm_Web_Frame_Load_Error Struct Reference
Elementary » Web

Structure used to report load errors. More...

`#include <elm_web_common.h>`

## Data Fields

int | code
| Numeric error code.
Eina_Bool | is_cancellation
| Error produced by canceling a request.
const char * | domain
| Error domain name.
const char * | description
| Error description (already localized).
const char * | failing_url
| The URL that failed to load.
Evas_Object * | frame
| Frame object that produced the error.

## Detailed Description

Structure used to report load errors.

Load errors are reported as signal by elm_web. All the strings are temporary references and should not be used after the signal callback returns. If it's required, make copies with strdup() or eina_stringshare_add() (they are not even guaranteed to be stringshared, so must use eina_stringshare_add() and not eina_stringshare_ref()).